Bug 567654

Summary: Review Request: Infobright Community Edition - Columnar database for analytics
Product: [Fedora] Fedora Reporter: Graham Toppin <graham.toppin>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, graham.toppin, imranceh, notting
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-17 12:52:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Graham Toppin 2010-02-23 10:16:19 EST
Spec URL: http://www.infobright.org/downloads/ice/infobright.spec
SRPM URL: http://www.infobright.org/downloads/ice/infobright-3.3.1-0.src.rpm
Description: Infobright Community Edition (ICE)  combines a column-oriented database with our Knowledge Grid architecture to deliver a self-managing database optimized for analytics.

This is our first package, and we need a sponsor.
Comment 1 Graham Toppin 2010-02-23 10:42:36 EST
Infobright Community Edition is based upon OEM code from MySQL.
Comment 2 Graham Toppin 2010-02-23 10:52:19 EST
*** Bug 567652 has been marked as a duplicate of this bug. ***
Comment 3 Mohammed Imran 2010-04-30 01:25:39 EDT
Welcome to Fedora Project and Thanks for submitting this package.

You first need to install fedora-packager rpm on your Fedora system.
New contributors need to show that they have an understanding      
of http://fedoraproject.org/wiki/Package_Review_Process and of the Fedora
packaging guidelines.
See http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Sponsorship can be obtained either by 
Submitting few more packages that follows Fedora packaging guidelines.
AND/OR
Doing an un-official(informal) package reviews for other people's package
submission.
(Note: you can not do official package reviews and approve others packages in
Fedora till you get sponsored)

So, start reviewing packages and post the review bug number here. 
This will show that you are doing some review work
and people who can check your review and sponsor you accordingly.

References that you can use for this process are
http://fedoraproject.org/wiki/PackageNamingGuidelines
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
http://fedoraproject.org/wiki/Licensing
http://fedoraproject.org/wiki/PackagingGuidelines
http://fedoraproject.org/wiki/Category:Packaging_guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Use above links for reviewing others packages. Also, Good if you will review in
detail.
Make sure you are checking scratch build is successful and rpmlint output in
review.

For scratch build on koji use command
koji build --scratch dist-f14 <SRPM_file>

Find new packages from http://fedoraproject.org/PackageReviewStatus/NEW.html

[NOTE] Please change your spec file according to fedora guidelines
and do refer packages which are similiar to your database in fedora cvs
http://cvs.fedoraproject.org/viewvc/
Comment 4 Jason Tibbitts 2010-11-17 18:31:58 EST
Looking at the spec, it seems pretty obvious that it was written without looking at our packaging guidelines at all, and that rpmlint was never run on the output.  It's full of things that we forbid the use of, and things that simply should not be done.  The scriptlets in particular are simply way over the top.

Is there still interest in submitting this package?  Before someone's going to spend the time to review it, it would be nice if you at least tried to clean it up a bit.
Comment 5 Graham Toppin 2010-11-17 19:16:00 EST
Hi Jason,

The previous owner of this project (Mark Windrim) left Infobright awhile back. There is still interest in moving forward with submitting this package. Your points about the packaging are well taken - I will follow up with the build team here and see about getting this moving again.

Thanks for the reminder.

cheers
.g.